lgt2pdf(1)

NAME
lgt2pdf - Logtalk script for converting XML documenting files into PDF files

SYNOPSIS
lgt2pdf [ -f format ] [ -d directory ] [ -p processor ]
lgt2pdf -h

DESCRIPTION
lgt2pdf is a Logtalk script for converting all XML documenting files in the current directory into PDF files.

OPTIONS

-f format
    Paper format (either a4 or us).

-d directory
    Output directory for the generated PDF files.

-p processor
    XSL-FO processor.

-h  Prints a summary of the script options.

REQUIREMENTS
Requires a compatible XSL-FO processor. See the script help screen for more information.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/tools/lgtdoc/xml/logtalk.dtd
    The Logtalk DTD file.

$LOGTALKUSER/tools/lgtdoc/xml/custom.ent
    The Logtalk custom entities file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk.xsd
    The Logtalk XML Schema file.

$LOGTALKUSER/tools/lgtdoc/xml/lgtpdfa4.xsl
    The default XSLT file for generating PDF A4 files.

$LOGTALKUSER/tools/lgtdoc/xml/lgtpdfus.xsl
    The default XSLT file for generating PDF US Letter files.

SEE ALSO
The Logtalk website at <http://logtalk.org/>

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

logtalk_user_setup(1), lgt2html(1), lgt2xml(1), lgt2md(1), lgt2txt(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2015 Paulo Moura.